<template>
  <div :class="$style.wrapper">
    <added-product-list-item
      v-for="product in productsInCartGetter"
      :key="product.id"
      :title="product.title"
      :image="product.image"
      :id="product.id"
      :quantity="product.quantity"
      :price="product.price"
    >
    </added-product-list-item>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import { createNamespacedHelpers } from "vuex";

const { mapGetters } = createNamespacedHelpers("cart");
// components
import AddedProductListItem from "@/components/cart/AddedProductsListItem/index.vue";

export default Vue.extend({
  name: "AddedProducts",
  components: {
    AddedProductListItem
  },
  computed: {
    ...mapGetters(["productsInCartGetter"])
  }
});
</script>

<style module lang="scss">
.wrapper {
  composes: display--flex;
  composes: flex-direction--column;
  composes: align-items--center;
}
</style>
